"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const graphql_1 = require("graphql");
const visitor_1 = require("./visitor");
exports.plugin = (schema, documents, config) => {
    const allAst = graphql_1.concatAST(documents.reduce((prev, v) => {
        return [...prev, v.content];
    }, []));
    const visitorResult = graphql_1.visit(allAst, {
        leave: new visitor_1.TypeScriptDocumentsVisitor(schema, config)
    });
    return visitorResult.definitions.join('\n');
};
//# sourceMappingURL=index.js.map